$(function () {

    

    $(".mobi-toggler").on("click", function(event) {

        

        $(".overlayed").attr('display', 'block');

        $("#content-menu-mobi").removeClass('out');

        $("#content-menu-mobi").addClass('in');

        $(".overlayed").show();

    })



    $(".login-toggler").on("click", function(event) {

        

        $(".overlayed").attr('display', 'block');

        $("#content-login-mobi").removeClass('out');

        $("#content-login-mobi").addClass('in');

        $(".overlayed").show();

    })



    $(".close_content").on("click", function(event) {

        

        $("#content-menu-mobi").removeClass('in');

        $("#content-menu-mobi").addClass('out');

        $("#content-login-mobi").removeClass('in');

        $("#content-login-mobi").addClass('out');

        $(".overlayed").hide();

    })

    

    $(".btn_depoimento").on("click", function(event) {

        

        $(".trigger").remove();

        $("#depoimento_descricao").val('');

    })



    $('.j_news').submit(function () {

        var dados = $(this).serialize();

        $.ajax({

            url: '_cdn/ajax/newsletter.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('LOADING...');

            },

            success: function (resposta) {

                console.log(resposta);

                $('#modal_body_return_alert').addClass('accept');

                $('#modal_return_alert').modal();

            }

        })



        return false;

    });



    $('.j_cadastrar').submit(function () {

        var dados = $(this).serialize();

        console.log();

        

        $(".trigger").remove();

        $.ajax({

            url: '_cdn/ajax/cadastro.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('Carregando...');

            },

            success: function (data) {

                console.log('ok');

                console.log(data);

                if (data.error[1] == "accept") {

                    document.location.href = './cadastro-sucesso';

                    console.log(data.error);

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_cadastrar");

                    $('html, body').animate({scrollTop: $('.j_cadastrar').offset().top}, 'slow');                    

                } else {

                    console.log(data.error);

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_cadastrar");

                    $('html, body').animate({scrollTop: $('.j_cadastrar').offset().top}, 'slow');

                }

            }

        })



        return false;

    });



    $('.j_email_confirmar').submit(function () {

        var dados = $(this).serialize();



        $(".trigger").remove();

        $.ajax({

            url: '_cdn/ajax/reenvio_confirmar.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('Carregando...');

            },

            success: function (data) {

                console.log('ok');

                console.log(data)

                if (data.error[1] == 'accept'){

                    data.error[0] = 'Um e-mail de confirmação foi enviado para seu e-mail, acesse e siga os passos!'

                }

                $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_email_confirmar");



            }

        })



        return false;

    });



    $('.j_contato').submit(function () {

        var dados = $(this).serialize();

        $(".trigger").remove();

        $.ajax({

            url: '_cdn/ajax/contato.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('LOADING..');

            },

            success: function (data) {

                $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_contato");

            }

        })

        return false;

    });



    $('.j_logar').submit(function () {

        var dados = $(this).serialize();

        $(".trigger").remove();

        $.ajax({

            url: '_cdn/ajax/login.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('Carregando...');

            },

            success: function (data) {

                console.log(data);



                if (data.result == true) {

                    if (dados.busca == 1) {

                        $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_logar");

                        setTimeout($("#modal").modal(toggle), 2000);

                    } else {

                        console.log(data.error[0]);

                        document.location.href = './painel/index.php';

                    }

                } else {

                    console.log(data.error[0]);

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_logar");

                    setTimeout($("#modal").modal(toggle), 2000);

                }

            }

        })

        return false;

    })



    $('.j_logar_modal').submit(function () {

        var dados = $(this).serialize();

        $(".trigger").remove();

        $.ajax({

            url: '_cdn/ajax/login.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('Carregando...');

            },

            success: function (data) {

                console.log(data);



                if (data.result == true) {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_logar_modal");

                    $("<div class=\"trigger info\"> <h5>Login Realizado com sucesso!</h5> Finalize sua busca. </div>").prependTo(".j_buscar");

                    setTimeout($("#modal").modal('toggle'), 2000);

                } else {

                    console.log(data.error[0]);

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_logar_modal");

                }

            }

        })

        return false;

    })



    $('.j_buscar').submit(function () {

        var form = $(this);

        $(".trigger").remove();

        form.ajaxSubmit({

            url: '_cdn/ajax/buscar.php',

            dataType: 'json',

            data: {action: 'upload'},

            breforeSubmit: function () {



            },

            uploadProgress: function () {



            },

            success: function (data) {

//                document.location.href = './cadastro-sucesso';

                console.log(data)

                if (data.error[1] == 'accept') {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_buscar");

                } else if (data.error[1] == 'alerta') {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_buscar");

                } else {

                    $("<div class=\"trigger error\"> <b>Error</b>! ocorreu um problema inesperado, entre contato com o suporte atravez do e-mail: suporte@inexnet.com.br.</div>").prependTo(".j_buscar");

                }

            }

        })



        return false;

    })

    

    $('.j_depoimento').submit(function () {

        var dados = $(this).serialize();

        $.ajax({

            url: '_cdn/ajax/depoimento.php',

            data: dados,

            type: 'POST',

            dataType: 'json',

            beforeSend: function () {

                console.log('LOADING...');

            },

            success: function (data) {                

                console.log(data)

                if (data.error[1] == 'login') {

                    $("<div class=\"trigger error\">" + data.error[0] + "</div>").prependTo(".j_buscar");

                } else if (data.error[1] == 'accept') {

                    document.location.href = './orcamento-sucesso';

                } else {

                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_buscar");

                }

            }

        })



        return false;

    });

});